Package org.eclipse.mat.internal.acquire

## Class HeapDumpProviderDescriptor

- java.lang.Object
- - org.eclipse.mat.query.registry.AnnotatedObjectDescriptor
  - - org.eclipse.mat.internal.acquire.HeapDumpProviderDescriptor

All Implemented Interfaces:
  `IAnnotatedObjectDescriptor`

    public class HeapDumpProviderDescriptor
    extends AnnotatedObjectDescriptor

No Extend:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`HeapDumpProviderDescriptor​(String identifier, String name, String usage, String help, String helpUrl, Locale helpLocale, IHeapDumpProvider provider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IHeapDumpProvider` `getHeapDumpProvider()`
`Class<? extends IHeapDumpProvider>` `getSubject()`

### Methods inherited from class org.eclipse.mat.query.registry.AnnotatedObjectDescriptor

`addParameter, getArguments, getHelp, getHelpLocale, getHelpUrl, getIcon, getIdentifier, getName, getUsage, isHelpAvailable, setUsage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeapDumpProviderDescriptor

    public HeapDumpProviderDescriptor​(String identifier,
                                      String name,
                                      String usage,
                                      String help,
                                      String helpUrl,
                                      Locale helpLocale,
                                      IHeapDumpProvider provider)

### Method Detail

#### getSubject

    public Class<? extends IHeapDumpProvider> getSubject()

#### getHeapDumpProvider

    public IHeapDumpProvider getHeapDumpProvider()